package com.kingdee.eas.custom.gggl;

import com.kingdee.bos.dao.AbstractObjectCollection;
import com.kingdee.bos.dao.IObjectPK;

public class ContractFirstE2Collection extends AbstractObjectCollection 
{
    public ContractFirstE2Collection()
    {
        super(ContractFirstE2Info.class);
    }
    public boolean add(ContractFirstE2Info item)
    {
        return addObject(item);
    }
    public boolean addCollection(ContractFirstE2Collection item)
    {
        return addObjectCollection(item);
    }
    public boolean remove(ContractFirstE2Info item)
    {
        return removeObject(item);
    }
    public ContractFirstE2Info get(int index)
    {
        return(ContractFirstE2Info)getObject(index);
    }
    public ContractFirstE2Info get(Object key)
    {
        return(ContractFirstE2Info)getObject(key);
    }
    public void set(int index, ContractFirstE2Info item)
    {
        setObject(index, item);
    }
    public boolean contains(ContractFirstE2Info item)
    {
        return containsObject(item);
    }
    public boolean contains(Object key)
    {
        return containsKey(key);
    }
    public int indexOf(ContractFirstE2Info item)
    {
        return super.indexOf(item);
    }
}